Bug 4375 - Login Fails: Open SUSE 10.2 client to NT4 PDC Domain
Login Fails: Open SUSE 10.2 client to NT4 PDC Domain
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: winbind
3.0.24
x86 Linux
: P3 regression
: none
Assigned To: Guenther Deschner
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-07 04:55 UTC by Nick Shelness
Modified: 2007-02-16 07:42 UTC (History)
0 users

See Also:


Attachments
zip file with 2 sub-dirs. pre=pre login atempt pst=post login attempts (459.63 KB, application/octet-stream)
2007-02-10 03:24 UTC, Nick Shelness
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Shelness 2007-02-07 04:55:12 UTC
winbind is installed and running
wbinfo -u returns Domain user list
getent passwd contains entries for Domain users
shares and printers on Domian systems can be accessed

But attempts to login to a Domain user fail with 

"A critical error occurred please look in KDM's logfiles for more information ... "


----------------------------------------------------------------------------
/var/log/samba/log.winbindd

[2007/02/07 10:16:53, 1] nsswitch/winbindd.c:main(965)
  winbindd version 3.0.24-0.1.49-1172-SUSE-SL10.2 started.
  Copyright The Samba Team 2000-2004
[2007/02/07 10:16:57, 1] nsswitch/winbindd_group.c:winbindd_getgrnam(370)
  group 0 in domain OLD-MILL does not exist
[2007/02/07 10:16:57, 1] nsswitch/winbindd.c:main(965)
  winbindd version 3.0.24-0.1.49-1172-SUSE-SL10.2 started.
  Copyright The Samba Team 2000-2004
[2007/02/07 10:16:58, 0] rpc_client/cli_pipe.c:cli_rpc_pipe_open_noauth(2265)
  cli_rpc_pipe_open_noauth: rpc_pipe_bind for pipe \lsarpc failed with error NT_STATUS_BUFFER_TOO_SMALL
[2007/02/07 10:17:04, 0] rpc_client/cli_pipe.c:cli_rpc_pipe_open_noauth(2265)
  cli_rpc_pipe_open_noauth: rpc_pipe_bind for pipe \lsarpc failed with error NT_STATUS_BUFFER_TOO_SMALL

repeating!

[2007/02/07 10:47:44, 0] rpc_client/cli_pipe.c:cli_rpc_pipe_open_noauth(2265)
  cli_rpc_pipe_open_noauth: rpc_pipe_bind for pipe \lsarpc failed with error NT_STATUS_BUFFER_TOO_SMALL
[2007/02/07 10:47:50, 0] rpc_client/cli_pipe.c:cli_rpc_pipe_open_noauth(2265)
  cli_rpc_pipe_open_noauth: rpc_pipe_bind for pipe \lsarpc failed with error NT_STATUS_BUFFER_TOO_SMALL


------------------------------------------------------------------------------
/var/log/samba/log.wb-OLD-MILL

[2007/02/07 10:16:58, 0] rpc_client/cli_pipe.c:cli_rpc_pipe_open_noauth(2265)
  cli_rpc_pipe_open_noauth: rpc_pipe_bind for pipe \lsarpc failed with error NT_STATUS_BUFFER_TOO_SMALL
[2007/02/07 10:16:58, 0] rpc_client/cli_pipe.c:cli_rpc_pipe_open_noauth(2265)
  cli_rpc_pipe_open_noauth: rpc_pipe_bind for pipe \lsarpc failed with error NT_STATUS_BUFFER_TOO_SMALL

repeating!

[2007/02/07 10:47:44, 0] rpc_client/cli_pipe.c:cli_rpc_pipe_open_noauth(2265)
  cli_rpc_pipe_open_noauth: rpc_pipe_bind for pipe \lsarpc failed with error NT_STATUS_BUFFER_TOO_SMALL
[2007/02/07 10:47:50, 0] rpc_client/cli_pipe.c:cli_rpc_pipe_open_noauth(2265)
  cli_rpc_pipe_open_noauth: rpc_pipe_bind for pipe \lsarpc failed with error NT_STATUS_BUFFER_TOO_SMALL
[2007/02/07 10:47:51, 0] rpc_client/cli_pipe.c:cli_rpc_pipe_open_noauth(2265)
  cli_rpc_pipe_open_noauth: rpc_pipe_bind for pipe \lsarpc failed with error NT_STATUS_BUFFER_TOO_SMALL
[2007/02/07 10:47:51, 0] libsmb/credentials.c:creds_client_check(322)
  creds_client_check: credentials check failed.
[2007/02/07 10:47:51, 0] rpc_client/cli_netlogon.c:rpccli_netlogon_sam_network_logon(936)
  rpccli_netlogon_sam_network_logon: credentials chain check failed
[2007/02/07 10:47:51, 0] rpc_client/cli_pipe.c:cli_rpc_pipe_open_noauth(2265)
  cli_rpc_pipe_open_noauth: rpc_pipe_bind for pipe \lsarpc failed with error NT_STATUS_BUFFER_TOO_SMALL
[2007/02/07 10:47:51, 0] rpc_client/cli_pipe.c:cli_rpc_pipe_open_noauth(2265)
  cli_rpc_pipe_open_noauth: rpc_pipe_bind for pipe \lsarpc failed with error NT_STATUS_BUFFER_TOO_SMALL
[2007/02/07 10:47:51, 0] rpc_client/cli_pipe.c:cli_rpc_pipe_open_noauth(2265)
  cli_rpc_pipe_open_noauth: rpc_pipe_bind for pipe \lsarpc failed with error NT_STATUS_BUFFER_TOO_SMALL
[2007/02/07 10:47:51, 0] rpc_client/cli_pipe.c:cli_rpc_pipe_open_noauth(2265)
  cli_rpc_pipe_open_noauth: rpc_pipe_bind for pipe \lsarpc failed with error NT_STATUS_BUFFER_TOO_SMALL
[2007/02/07 10:47:51, 0] nsswitch/winbindd_cred_cache.c:winbindd_add_memory_creds_internal(567)
  winbindd_add_memory_creds_internal: invalid uid for user OLD-MILL+supruser.



------------------------------------------------------------------------------

/etc/samba/smb.conf (added lines have no impact)

# smb.conf is the main Samba configuration file. You find a full commented
# version at /usr/share/doc/packages/samba/examples/smb.conf.SUSE if the
# samba-doc package is installed.
# Date: 2006-11-27
[global]
	workgroup = OLD-MILL
	printing = cups
	printcap name = cups
	printcap cache time = 750
	cups options = raw
	map to guest = Bad User
	include = /etc/samba/dhcp.conf
	logon path = \\%L\profiles\.msprofile
	logon home = \\%L\%U\.9xprofile
	logon drive = P:
	usershare allow guests = No
	winbind separator = +
	winbind use default domain = Yes
	winbind enum users = Yes
	winbind enum groups = Yes
	idmap gid = 10000-20000
	idmap uid = 10000-20000
	security = domain
	template homedir = /home/%D/%U
	template shell = /bin/bash
	usershare max shares = 100
	winbind offline logon = yes
[homes]
	comment = Home Directories
	valid users = %S, %D%w%S
	browseable = No
	read only = No
	inherit acls = Yes
[profiles]
	comment = Network Profiles Service
	path = %H
	read only = No
	store dos attributes = Yes
	create mask = 0600
	directory mask = 0700
[users]
	comment = All users
	path = /home
	read only = No
	inherit acls = Yes
	veto files = /aquota.user/groups/shares/
[groups]
	comment = All groups
	path = /home/groups
	read only = No
	inherit acls = Yes
[printers]
	comment = All Printers
	path = /var/tmp
	printable = Yes
	create mask = 0600
	browseable = No
[print$]
	comment = Printer Drivers
	path = /var/lib/samba/drivers
	write list = @ntadmin root
	force group = ntadmin
	create mask = 0664
	directory mask = 0775
Comment 1 Guenther Deschner 2007-02-09 17:40:33 UTC
Ok, offline authentication for non-krb5 dcs is already handled in bug #4225.

The NT_STATUS_BUFFER_TOO_SMALL errors are strange, can you please upload "log level = 10" winbind logfiles?
Comment 2 Volker Lendecke 2007-02-09 17:43:51 UTC
Just FYI: These NT_STATUS_BUFFER_TOO_SMALL are showing in the debug log when something with the RPC pipe bind failed. I don't remember what it was, but I think it was non-critical.

Volker
Comment 3 Nick Shelness 2007-02-10 03:24:47 UTC
Created attachment 2286 [details]
zip file with 2 sub-dirs. pre=pre login atempt  pst=post login attempts

As requested
Comment 4 Nick Shelness 2007-02-10 03:44:02 UTC
(In reply to comment #1)
> Ok, offline authentication for non-krb5 dcs is already handled in bug #4225.
> 
> The NT_STATUS_BUFFER_TOO_SMALL errors are strange, can you please upload "log
> level = 10" winbind logfiles?
> 

I'm not sure this is relevant. I tried: 
a) setting  winbind offline logon = no and
b) commenting out this line.

Neither had any effect on the bug. I was still unable to login.
Comment 5 Guenther Deschner 2007-02-16 07:42:22 UTC
Should be fixed with revision 21382. Both fixes (also the one for #4225) will be in 3.0.25.

Please reopen if it still fails.